Changing from regular MC server to bukkit and how it will affect my self-created mini game

Discussion in 'Bukkit Help' started by ScroogieLaJohn, Jul 25, 2013.

  1. Offline

    ScroogieLaJohn

    dev.bukkit.org profile:
    CFUSERNAME
    My Plugins (CFCOUNT)
    Minecraft account:
    MCUSERNAME
    Hey

    I have come here because I am creating a mini game for a group of friends, and need to be able to put a password on a chest - a password chosen by me, made out of letters.

    As far as I've learned, the LWC-plugin will make that possible, but it only works on a Bukkit-server.

    I'm using a regular Minecraft server and I am totally unsure of what will happen if I change server from that to a Bukkit-server.

    I'm currently running Minecraft 1.5, MagicLauncher 1.1.7., TooManyItems2013-_03_04_1.5, and the Minecraft Gametype Changer. My map + game has been created and launched using that.

    1. Can I just change servers, np? Just install a bukkit-server and run that?
    2. If so, what bukkit server (edition?) will I need for that to be compatible with the versions I am running?

    Any help will be appreciated.


    I apologize if this seems very noobish to you, but I am very new to playing minecraft like this, ususally I play single or on open servers. I have very little clue on how to do these things and decipher information like this on my own.

    Thanks in advance :)
     
  2. Offline

    ScroogieLaJohn

    dev.bukkit.org profile:
    CFUSERNAME
    My Plugins (CFCOUNT)
    Minecraft account:
    MCUSERNAME
    Okay, so I've found out I need to install CraftBukkit, but there are no Recomended or even Beta versions that are compatible with MC 1.5.
    Latest recommended is CraftBukkit 1.5.2.

    Now, will it mess anything in my game up, if I update from an earlier version of MC to MC 1.5.2? I will of course have to see if there is a version of the LWC-plugin that is compatible, since that is the whole point of all this. And then I will have to find compatible version of MagicLauncher, ReisMinimap and OptiFine. But besides all that - can it ruin any of the things I have created on the map?
     
  3. Offline

    ScroogieLaJohn

    dev.bukkit.org profile:
    CFUSERNAME
    My Plugins (CFCOUNT)
    Minecraft account:
    MCUSERNAME
    No response at all?

    Is it because no one knows, or because no one bothers?
     
  4. Online

    Bobcat00

    My BukkitDev Profile
    My Plugins (0)
    dev.bukkit.org profile:
    CFUSERNAME
    My Plugins (CFCOUNT)
    Minecraft account:
    MCUSERNAME
    It's not clear from your message which verisons of Minecraft/Craftbukkit you want to run. The 1.6.2 development builds work fine.
     
  5. Offline

    ScroogieLaJohn

    dev.bukkit.org profile:
    CFUSERNAME
    My Plugins (CFCOUNT)
    Minecraft account:
    MCUSERNAME
    I just want to run versions of Minecraft, CraftBukkit and the LWC-plugin that are compatible with each other and stable.

    Also, I want to know, if I can load my pre-made world in this new CraftBukkit-server and new MC-versions without ruining any of my work.
     
  6. Online

    Bobcat00

    My BukkitDev Profile
    My Plugins (0)
    dev.bukkit.org profile:
    CFUSERNAME
    My Plugins (CFCOUNT)
    Minecraft account:
    MCUSERNAME
    There's a Craftbukkit 1.6.2 development build available and a 1.6.2-compatible version of LWC. So that should be fine.

    I don't know about your TooManyItems and Gametype Changer. Everything else should work fine with 1.6.2.

    Only other thing I can think of is if you're running an old version of the Minecraft server, Craftbukkit may have a different world generator. This could result in discontinuities when players explore new land. It doesn't bother me, but some people find this disturbing. Currently explored areas would be unaffected.

    I would try 1.6.2. Just be sure to make a backup first.
     

Share This Page